> ## Documentation Index
> Fetch the complete documentation index at: https://developers.betdex.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Request to withdraw Funds

> Request to withdraw funds to an external address from the current wallet



## OpenAPI

````yaml https://docs.api.monacoprotocol.xyz/api/v1/exchange-openapi-general.json post /wallets/{id}/withdrawals
openapi: 3.1.0
info:
  title: BetDEX General Integration API
  description: >-
    A RESTful API that allows you to interact with the BetDEX Exchange. Provides
    endpoints for managing Events, Markets, Sessions, Wallets and Orders. To
    interact with the API, a client must have an App Id and an API Key to
    authenticate and create a session.
  version: '0.1'
servers:
  - url: https://sandbox.api.btdx.io/
    description: Sandbox API Server
  - url: https://prod.api.btdx.io/
    description: Production API Server
security: []
tags:
  - name: API Key Management
  - name: App Management
  - name: Currencies
  - name: Event Categories
  - name: Event Groups
  - name: Event Subcategories
  - name: Events
  - name: External Reference Sources
  - name: Heartbeat Management
  - name: Market Prices
  - name: Market Types
  - name: Markets
  - name: Orders
  - name: Participants
  - name: Session Management
  - name: Status
  - name: Trades
  - name: Wallet API Key Management
  - name: Wallets
paths:
  /wallets/{id}/withdrawals:
    post:
      tags:
        - Wallets
      summary: Request to withdraw Funds
      description: Request to withdraw funds to an external address from the current wallet
      operationId: requestWithdrawal
      parameters:
        - name: authorization
          in: header
          description: Header with the accessToken for the current session
          required: true
          schema:
            type: string
          example: Bearer eyJ0eXAiOiJ...bjV7AtDgA
        - name: id
          in: path
          description: Wallet id to withdraw from
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WithdrawalRequestRequest'
        required: true
      responses:
        '200':
          description: OK
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/WithdrawalRequestResponse'
        '401':
          description: Session invalid
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/WithdrawalRequestResponse'
        '501':
          description: Not implemented
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/WithdrawalRequestResponse'
components:
  schemas:
    WithdrawalRequestRequest:
      type: object
      properties:
        currencyId:
          type: string
        amount:
          type: number
        toAddress:
          type: string
      required:
        - currencyId
        - toAddress
    WithdrawalRequestResponse:
      type: object
      properties:
        _meta:
          $ref: '#/components/schemas/Meta'
        withdrawalRequests:
          type: array
          items:
            $ref: '#/components/schemas/WithdrawalRequest'
    Meta:
      type: object
      properties:
        _primary_document:
          type: string
          enum:
            - apiKeys
            - apps
            - categories
            - commissionRates
            - currencies
            - depositAddresses
            - depositRequests
            - events
            - eventGroups
            - externalReferences
            - externalReferenceSources
            - heartbeats
            - ids
            - markets
            - marketOutcomes
            - marketPositions
            - marketTypes
            - orders
            - participants
            - prices
            - priceLadders
            - sessions
            - statuses
            - subcategories
            - trades
            - transactions
            - wallets
            - walletMetrics
            - withdrawalRequests
        _count:
          type: integer
          format: int32
        _page:
          $ref: '#/components/schemas/PageMeta'
    WithdrawalRequest:
      type: object
      properties:
        id:
          type: string
        walletId:
          type: string
        currencyId:
          type: string
        amount:
          type: number
        destinationAddress:
          type: string
        internalStatus:
          type: string
          enum:
            - Pending
            - InProgress
            - ToBeConfirmed
            - Confirming
            - Confirmed
            - Flagged
            - Failed
        externalStatus:
          type: string
          enum:
            - Pending
            - InProgress
            - ToBeConfirmed
            - Confirming
            - Confirmed
            - Flagged
            - Failed
    PageMeta:
      type: object
      properties:
        _pageNumber:
          type: integer
          format: int32
        _pageSize:
          type: integer
          format: int32
        _totalElements:
          type: integer
          format: int64
        _totalPages:
          type: integer
          format: int32

````